SkinMarketCap API
Profiles

Get inventory

A player's CS2 inventory with every item priced and the total value. Costs 10 credits. Needs the Starter plan or above.

GET
/v1/profiles/{steamId}/inventory

Authorization

x-api-key<token>

In: header

Path Parameters

steamId*string

A SteamID64, a Steam Community profile URL or a custom-URL (vanity) name.

Lengthlength <= 200

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/profiles/{steamId}/inventory"
{  "itemCount": 990,  "uniqueCount": 474,  "valuedCount": 474,  "totalValue": 56221603,  "history": [    {      "day": "2026-09-28",      "value": 56253824    },    {      "day": "2026-09-29",      "value": 56097081    },    {      "day": "2026-09-30",      "value": 56221603    }  ],  "items": [    {      "assetId": "8651094772",      "marketHashName": "Glock-18 | Gamma Doppler (Factory New)",      "name": "Glock-18 | Gamma Doppler",      "image": "https://community.cloudflare.steamstatic.com/economy/image/i0CoZ81Ui0m-9KwlBY1L_18myuGuq1wfhWSaZgMttyVfPaERSR0Wqmu7LAocGIGz3UqlXOLrxM-vMGmW8VNxu5Dx60noTyL2kpnj9h1a4s2rZaF_IfyXMWqR0-x6tehzSi2MkhEosDa6lob-KT-JPwZzA5J4F-8Mt0a-ktTvNeyws1PfjIsQyiX9h3gYvSpr5bwFWash-7qX0V9IgS2WPw/512fx384f",      "exterior": "Factory New",      "category": "Pistol",      "rarity": {        "name": "Covert",        "color": "#eb4b4b"      },      "tradable": true,      "marketable": true,      "count": 1,      "float": 0.019824534654617,      "paintSeed": 661,      "phase": "Emerald",      "inspectLink": "steam://run/730//+csgo_econ_action_preview%2000180420DF082806300438A9B8BDE803002C1038",      "stickers": [        {          "name": "Sticker | Howling Dawn",          "image": "https://cdn.steamstatic.com/apps/730/icons/econ/stickers/community01/howling_dawn.3db24ec67d12d796093ec706e6dab29f25850a9b.png",          "wear": 0,          "price": 120680,          "slug": "sticker-howling-dawn"        }      ],      "charm": {        "name": "Charm | Diamond Dog",        "image": "https://cdn.steamstatic.com/apps/730/icons/econ/keychains/missinglink/kc_missinglink_sam_diamond.b6b92c8b0c3d0dcf724bd0357d93c0cb447916f6.png",        "price": 554,        "slug": "charm-diamond-dog"      },      "price": 37799,      "change24h": 1.84,      "change7d": -3.12,      "change30d": 6.47,      "slug": "glock-18-gamma-doppler-emerald"    }  ]}